# List materialized features

Launch stage: Public Preview

`GET /api/2.0/feature-engineering/materialized-features`

List materialized features.

API scopes: mlflow

## Query parameters

- `feature_name` (string, optional)
  Filter by feature name. If specified, only materialized features materialized from this feature will be returned.
- `page_token` (string, optional)
  Pagination token to go to the next page based on a previous query.
- `page_size` (int32, optional)
  The maximum number of results to return. Defaults to 100 if not specified. Cannot be greater than 1000.
  Default: `100`
  Constraints: `<= 1000`

## Returns

Returns a list of MaterializedFeature objects.

## Response

```json
{
  "materialized_features": [
    {
      "materialized_feature_id": "string",
      "feature_name": "string",
      "online_store_config": {},
      "table_name": "string",
      "last_materialization_time": "string",
      "is_online": true,
      "cron_schedule_trigger": {},
      "table_trigger": {},
      "streaming_mode": {}
    }
  ],
  "next_page_token": "string"
}
```

